The concern of quantum computation is the computation of\nquantum phenomena as observed in Nature. A prerequisite for the\nattainment of such computation is a set of unitary\ntransformations that describe the operational process within\nthe quantum system. Since operational transformations\ninevitably interact with elements outside of the quantum\nsystem, we therefore have quantum gate evolutions determined\nwith less than absolute precision. Consequently, the theory of\nquantum error-correction has developed to meet this difficulty.\nFurther, it is increasingly evident that much effort is being\nmade into finding efficient quantum circuits in the sense that\nfor a library of realisable quantum gates there is no smaller\ncircuit that achieves the same task with the same library of\ngates. A reason for this concerted effort is primarily due to\nthe principle of decoherence. I give the construction for the\nset of unitary transformations that describe an error model\nthat acts on a d-dimensional quantum system. I also give an\noverview of the theoretical framework associated with such\nunitary transformations and generalise results to cater for\nd-dimensional quantum states. I introduce two quantum gate\nconstructions that generalise the qubit SWAP gate to higher\ndimensions. The first of these constructions is the WilNOT gate\nand the second is an efficient design also based on binomial\nsummations. Both of these constructions yield a quantum qudit\nSWAP gate determined only in the CNOT gate. Furthermore, the\ntask of constructing generalised SWAP gates based on\ntranspositions of qudit states is argued in terms of the\nsignature of a permutation. Based on this argument, we show\nthat circuit architectures completely described by instances of\nthe CNOT gate cannot implement a transposition of a pair of\nqudits over dimensions d = 3 mod 4. Consequently, our quantum\ncircuits are of interest because it is not possible to\nimplement a SWAP of qutrits by a sequence of transpositions of\nqutrits if only CNOT gates are used. I also give bounds on\nnumbers of quantum codes predicated on d-dimensional quantum\nsystems, and generalise the encoding and decoding architectures\nfor qudit codes.\n
The concern of quantum computation is the computation of\nquantum phenomena as observed in Nature. A prerequisite for the\nattainment of such computation is a set of unitary\ntransformations that describe the operational process within\nthe quantum system. Since operational transformations\ninevitably interact with elements outside of the quantum\nsystem, we therefore have quantum gate evolutions determined\nwith less than absolute precision. Consequently, the theory of\nquantum error-correction has developed to meet this difficulty.\nFurther, it is increasingly evident that much effort is being\nmade into finding efficient quantum circuits in the sense that\nfor a library of realisable quantum gates there is no smaller\ncircuit that achieves the same task with the same library of\ngates. A reason for this concerted effort is primarily due to\nthe principle of decoherence. I give the construction for the\nset of unitary transformations that describe an error model\nthat acts on a d-dimensional quantum system. I also give an\noverview of the theoretical framework associated with such\nunitary transformations and generalise results to cater for\nd-dimensional quantum states. I introduce two quantum gate\nconstructions that generalise the qubit SWAP gate to higher\ndimensions. The first of these constructions is the WilNOT gate\nand the second is an efficient design also based on binomial\nsummations. Both of these constructions yield a quantum qudit\nSWAP gate determined only in the CNOT gate. Furthermore, the\ntask of constructing generalised SWAP gates based on\ntranspositions of qudit states is argued in terms of the\nsignature of a permutation. Based on this argument, we show\nthat circuit architectures completely described by instances of\nthe CNOT gate cannot implement a transposition of a pair of\nqudits over dimensions d = 3 mod 4. Consequently, our quantum\ncircuits are of interest because it is not possible to\nimplement a SWAP of qutrits by a sequence of transpositions of\nqutrits if only CNOT gates are used. I also give bounds on\nnumbers of quantum codes predicated on d-dimensional quantum\nsystems, and generalise the encoding and decoding architectures\nfor qudit codes.\n
The qubit SWAP gate has been shown to be an integral component of quantum circuitry design. It permutes the states of two qubits and allows for the storage quantum information, teleportation of atomic or ionic states, and is a fundamental element in the circuit implementation of Shor's algorithm. We consider the problem of generalising the SWAP gate beyond the qubit setting. We show that quantum circuit architectures completely described by instances of the CNOT gate can not implement a transposition of a pair of qudits for dimensions d≡3(mod4). The task of constructing generalised SWAP gates based on transpositions of qudit states is argued in terms of the signature of a permutation.
This thesis is concerned with certain theoretical problems that arise naturally in the context of fault-tolerant quantum computation. Fault-tolerance can be defined as the art of building reliable devices from unreliable components, and is of particular importance for quantum computers that aim to precisely control the dynamics of extremely sensitive quantum systems. A model of quantum computation is a specification of the basic building blocks by which a quantum computation is implemented. The best known model is the quantum circuit model, where computations are implemented by means of unitary quantum gates that are applied to two-level quantum systems known as qubits. In a physical implementation of a quantum circuit, the gates and qubits will inevitably be affected by noise. Fault-tolerant quantum circuits are designed to be resilient against the effects of this noise, provided that it is not too strong. Fault-tolerance in the quantum circuit model is well developed thanks to the theory of quantum error-correcting codes. These codes allow for the correction of small numbers of errors introduced by a variety of noise processes. In a fault-tolerant quantum circuit, qubits are replaced with encoded qubits, and quantum gates with encoded gates that are immediately followed by special quantum circuits for error correction. Provided the rate at which errors occur is below a constant threshold value, the accumulation of errors can be checked so that the correct output of the computation correctly determined. The threshold acts as both a measure of how good the design of a quantum circuit is, and also as a target for experimenters aiming to implement quantum circuits. Much current research in quantum computation is aimed at designing quantum circuits that increase the noise threshold, hopefully to the point where it becomes within the reach of experimenters. A fault-tolerant encoded quantum gate must limit the propagation of errors so that the code’s corrective capabilities are not overwhelmed. It is not so easy to design encoded gates that satisfy this property, and to date only a finite handful of such gates are known. In a faulttolerant quantum circuit, all quantum gates must be decomposed or compiled in terms of those that may be implemented fault-tolerantly. In the first part of this thesis, we present two results that may be applied to this problem of gate compilation. The first is a generic method based on the Solovay-Kitaev theorem that may be applied to all quantum gates, but is most effective for those that act on single qubits. We present the Solovay-Kitaev theorem in its simples known form as an algorithm, together with novel constructions that can be used to implement it. Following this we give a two specialized methods for two-qubit gate decomposition, based on the Cartan decomposition of the Lie group SU(4). The cluster-state model of computation is an alternative to the quantum circuit model, and makes use of quantum measurements and highly entangled cluster-states to implement a quantum computation. The fault-tolerant techniques developed for quantum circuits are not immediately applicable in this model, so in order for it to be a realistic candidate for performing computations we prove that such techniques are possible. In the second part of the thesis we prove that constant fault-tolerance thresholds may be achieved in the cluster-state model, and in particular in an adaption to an optical implementation. Following this we design a complete error correction scheme for optical cluster-state computation, and numerically determine the threshold of this model in the face of the dominant noise models likely to affect such an implementation.
Quantum computers are a revolutionary class of computational platforms with applications in combinatorial and global optimization, machine learning, and other domains involving computationally hard problems. While these machines typically operate on qubits—quantum information elements that can occupy superpositions of the basis∣0⟩and∣1⟩states—recent advances have demonstrated the practical implementation of higher-dimensional quantum systems (qudits) across various hardware platforms. In these hardware realizations, the higher-order states are less stable and thus remain coherent for a shorter duration than the basis∣0⟩and∣1⟩states. Moreover, formal methods for designing efficient encoder circuits for these systems remain underexplored. This limitation motivates the development of efficient circuit techniques for qudit systems (d-level quantum systems). Previous works have typically established generating gate sets for higher-dimensional codes by generalizing the methods used for qubits. In this work, we introduce a systematic framework for optimizing encoder circuits for prime-dimension stabilizer codes. This framework is based on novel generating gate sets whose elements map directly to efficient Clifford gate sequences. We demonstrate the effectiveness of this method on key codes, achieving a 13–44% reduction in encoder circuit gate count for the qutrit (d = 3)[[9,5,3]]3,[[5,1,3]]3, and[[7,1,3]]3codes, and a 9–21% reduction for the ququint (d = 5)[[10,6,3]]5code when compared to prior work. We also achieved circuit depth reductions up to 42%.
Recent years have seen rapid development in the subject of quantum coding theory, with breakthroughs on many exciting classes of codes, including quantum LDPC codes, quantum locally testable codes, and quantum codes with interesting transversal gates. However, a natural class of quantum codes, which has been well-studied classically, has not yet been treated: those which can be quickly encoded and decoded. This problem concerns the channel capacity setting, where a noise channel sits between perfect encoding and unencoding/decoding operations; this is the setting that is relevant for communication between fault-tolerant quantum computers. In this work, we construct asymptotically good quantum codes that can be encoded and unencoded by quantum circuits of logarithmic depth and consisting of a linear total number of gates. The classical decoding algorithms also run in logarithmic depth and use O(nlogn) gates, or alternatively a linear number of gates but with higher depth. We further construct explicit and asymptotically good quantum codes whose encoding, unencoding and decoding all use a linear number of gates, and additionally whose encoding and unencoding may be run in logarithmic depth.
Quantum computing with qudits, quantum systems with d>2 levels, offers a powerful extension beyond qubits, expanding the computational possibilities of quantum systems, allowing the simplification of the implementation of several algorithms and, possibly, providing a foundation for optimised error correction. In this work, we propose a novel formulation of qudit gates that is universally applicable for any number of levels d, without restrictions on the dimensionality. By extending the mathematical framework of quantum gates to arbitrary dimensions, we derive explicit gate operations that form a universal set for quantum computation on qudits of any size. We demonstrate the validity of our approach through the implementation of the Quantum Fourier Transform (QFT) for arbitrary d, verifying both the correctness and utility of our generalized gates. This novel methodology broadens the design space for quantum algorithms and fault-tolerant architectures, paving the way for advancements in qudit-based quantum computing.
In fault-tolerant quantum computation [1], quantum information is protected from noise by encoding it in somewhat non-local degrees of freedom, thus distributing it among many smaller subsystems, typically qubits. This makes sense under the physically relevant assumption that interactions with the environment have a local nature. The implementation of gates, consequently, must be also as local as possible to preserve the structure of noise. This is naturally achieved with transversal gates, i.e. unitary operators that transform encoded states by acting separately on suitable subsystems, in the simplest case independently on each qubit. Unfortunately, no code admits a universal transversal set of gates [2]. Topological quantum error correcting codes [3] introduce a richer notion of locality by considering the spatial location of the physical qubits, which are assumed to be arranged on a lattice. They come in families parametrized with a lattice size, for a fixed spatial dimension. Their defining features are (i) that the measurements needed to recover information about errors only involve a few neighbouring qubits and (ii) that no encoded information can be recovered without access to a number of physical qubits comparable to the system size. Rather than sticking to the above definition of transversality, for topological codes it is natural to consider instead quantum circuits of fixed depth with geometrically local gates [4, 5]. Remarkably, it has been recently shown that spatial dimension imposes constraints on the transversal gates that are allowed [5]. In particular, this is true in the case of topological stabilizer codes, where it has been found that transversal gates on D-dimensional codes have to belong to certain sets PD. A first main result of this work [6] is that codes that saturate these bounds can be constructed for every D, in the sense that they admit at least a transversal gate in PD (not belonging to PD−1). In particular, the result applies to color codes [7, 8, 9, 10], where the single-qubit gate RD := ( 1 0 0 e2πi/2 D ) is transversal (in the more strict non-topological sense).